<?php

/**
 * The plugin bootstrap file
 *
 * This file is read by WordPress to generate the plugin information in the plugin
 * admin area. This file also includes all of the dependencies used by the plugin,
 * registers the activation and deactivation functions, and defines a function
 * that starts the plugin.
 *
 * @link              https://www.force24.co.uk/
 * @since             1.0.0
 * @package           Force24_Tracking
 *
 * @wordpress-plugin
 * Plugin Name:       Force24 Tracking
 * Description:       Add and configure the Force24 Tracking and Web Capture on your WordPress installation.
 * Version:           1.2.2
 * Author:            Force24 Ltd
 * Author URI:        https://www.force24.co.uk/
 * License:           GPL-2.0+
 * License URI:       http://www.gnu.org/licenses/gpl-2.0.txt
 * Text Domain:       force24-tracking
 * Domain Path:       /languages
 */

// If this file is called directly, abort.
if ( ! defined( 'WPINC' ) ) {
	die;
}

define( 'F24TRACKING_VERSION', '1.2.2' );

/**
 * The code that runs during plugin activation.
 * This action is documented in includes/class-force24-tracking-activator.php
 */
function activate_force24_tracking() {
	require_once plugin_dir_path( __FILE__ ) . 'includes/class-force24-tracking-activator.php';
	Force24_Tracking_Activator::activate();
}

/**
 * The code that runs during plugin deactivation.
 * This action is documented in includes/class-force24-tracking-deactivator.php
 */
function deactivate_force24_tracking() {
	require_once plugin_dir_path( __FILE__ ) . 'includes/class-force24-tracking-deactivator.php';
	Force24_Tracking_Deactivator::deactivate();
}

register_activation_hook( __FILE__, 'activate_force24_tracking' );
register_deactivation_hook( __FILE__, 'deactivate_force24_tracking' );

/**
 * The core plugin class that is used to define internationalization,
 * admin-specific hooks, and public-facing site hooks.
 */
require plugin_dir_path( __FILE__ ) . 'includes/class-force24-tracking.php';

/**
 * Begins execution of the plugin.
 *
 * Since everything within the plugin is registered via hooks,
 * then kicking off the plugin from this point in the file does
 * not affect the page life cycle.
 *
 * @since    1.0.0
 */
function run_force24_tracking() {

	$plugin = new Force24_Tracking();
	$plugin->run();

}
run_force24_tracking();
